Get topic board
GET
https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}
Path Parameters
- topic-board-idstringrequiredExampleDescription
Responses
200
- bcf-topic-board
- project_idstringExampleDescription
- namestringExampleDescription
- bimsync_project_idstringExampleDescription
- bimsync_issue_board_namestringExampleDescription
- bimsync_project_namestringExampleDescription
- bimsync_extension_aclobjectDescription
- canCloseIssuesstring<all | own | none>ExampleDescription
curl
curl --request GET \
--url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"project_id": "e18a2d10-1595-4e52-a941-22d43bf8d7ad",
"name": "Issues",
"bimsync_project_id": "2439e0a3-a21e-4135-8c09-9ae57ee12681",
"bimsync_issue_board_name": "Issues",
"bimsync_project_name": "Site A",
"bimsync_extension_acl": {
"canCloseIssues": "all"
}
}